| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.EXT.TextureInteger

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the EXT_texture_integer extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/EXT/texture_integer.txt.
Synopsis

glClearColorIi :: GLint -> GLint -> GLint -> GLint -> IO ()
glClearColorIui :: GLuint -> GLuint -> GLuint -> GLuint -> IO ()
gl_ALPHA32UI :: GLenum
gl_INTENSITY32UI :: GLenum
gl_LUMINANCE32UI :: GLenum
gl_LUMINANCE_ALPHA32UI :: GLenum
gl_ALPHA16UI :: GLenum
gl_INTENSITY16UI :: GLenum
gl_LUMINANCE16UI :: GLenum
gl_LUMINANCE_ALPHA16UI :: GLenum
gl_ALPHA8UI :: GLenum
gl_INTENSITY8UI :: GLenum
gl_LUMINANCE8UI :: GLenum
gl_LUMINANCE_ALPHA8UI :: GLenum
gl_ALPHA32I :: GLenum
gl_INTENSITY32I :: GLenum
gl_LUMINANCE32I :: GLenum
gl_LUMINANCE_ALPHA32I :: GLenum
gl_ALPHA16I :: GLenum
gl_INTENSITY16I :: GLenum
gl_LUMINANCE16I :: GLenum
gl_LUMINANCE_ALPHA16I :: GLenum
gl_ALPHA8I :: GLenum
gl_INTENSITY8I :: GLenum
gl_LUMINANCE8I :: GLenum
gl_LUMINANCE_ALPHA8I :: GLenum
gl_ALPHA_INTEGER :: GLenum
gl_LUMINANCE_INTEGER :: GLenum
gl_LUMINANCE_ALPHA_INTEGER :: GLenum

Functions

glClearColorIi :: GLint -> GLint -> GLint -> GLint -> IO () | Source

glClearColorIui :: GLuint -> GLuint -> GLuint -> GLuint -> IO () | Source

Tokens

gl_ALPHA32UI :: GLenum | Source

gl_INTENSITY32UI :: GLenum | Source

gl_LUMINANCE32UI :: GLenum | Source

gl_LUMINANCE_ALPHA32UI :: GLenum | Source

gl_ALPHA16UI :: GLenum | Source

gl_INTENSITY16UI :: GLenum | Source

gl_LUMINANCE16UI :: GLenum | Source

gl_LUMINANCE_ALPHA16UI :: GLenum | Source

gl_ALPHA8UI :: GLenum | Source

gl_INTENSITY8UI :: GLenum | Source

gl_LUMINANCE8UI :: GLenum | Source

gl_LUMINANCE_ALPHA8UI :: GLenum | Source

gl_ALPHA32I :: GLenum | Source

gl_INTENSITY32I :: GLenum | Source

gl_LUMINANCE32I :: GLenum | Source

gl_LUMINANCE_ALPHA32I :: GLenum | Source

gl_ALPHA16I :: GLenum | Source

gl_INTENSITY16I :: GLenum | Source

gl_LUMINANCE16I :: GLenum | Source

gl_LUMINANCE_ALPHA16I :: GLenum | Source

gl_ALPHA8I :: GLenum | Source

gl_INTENSITY8I :: GLenum | Source

gl_LUMINANCE8I :: GLenum | Source

gl_LUMINANCE_ALPHA8I :: GLenum | Source

gl_ALPHA_INTEGER :: GLenum | Source

gl_LUMINANCE_INTEGER :: GLenum | Source

gl_LUMINANCE_ALPHA_INTEGER :: GLenum | Source

Produced by Haddock version 2.4.2